Summary: RPM installer/updater config files
Name: yum-conf
Version: 309
Release: 3.SL
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
Prereq: /sbin/chkconfig, /sbin/service

%description
Configuration files to setup yum.conf, as well as setup yum in you daily cron.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/yum.d
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add yum
/sbin/chkconfig yum on
/sbin/service yum restart >> /dev/null
#
# This makes it so that you don't get asked about up2date on the firstboot
# 
if [ -s /usr/share/firstboot/modules/up2date.py ]; then
	rm -f /usr/share/firstboot/modules/up2date.py*
fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
	rm -f /usr/share/firstboot/modules/additional_cds.py*
fi
exit 0

%triggerin -- firstboot
#
# This makes it so that you don't get asked about up2date on the firstboot
# 
if [ -s /usr/share/firstboot/modules/up2date.py ]; then
	rm -f /usr/share/firstboot/modules/up2date.py*
fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
	rm -f /usr/share/firstboot/modules/additional_cds.py*
fi

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files 
%defattr(-, root, root)
%dir %{_sysconfdir}/yum.d/
%config %{_sysconfdir}/yum.conf
%config %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/yum.d/yum.cron.excludes
%config %{_sysconfdir}/init.d/yum
%config %{_sysconfdir}/logrotate.d/yum
%{_sysconfdir}/yum.d/
%{_sysconfdir}/yum.conf.309
%{_sysconfdir}/yum.conf.30x
%{_sysconfdir}/yum.conf.contrib
%{_sysconfdir}/yum.conf.atrpms
%{_sysconfdir}/yum.conf.dag
%{_sysconfdir}/yum.conf.adobe
%{_sysconfdir}/yum.conf.testing
/etc/pki/rpm-gpg/RPM-GPG-KEY-adobe-linux

%changelog
* Wed Feb 18 2008 Troy Dawson <dawson@fnal.gov> 309-3.SL
- Changed /etc/cron.daily/yum.cron to just %config (without the noreplace)

* Wed Feb 18 2008 Troy Dawson <dawson@fnal.gov> 309-2.SL
- Fixed excludes bug in yum.cron
- Changed yum.conf.flash to yum.conf.adobe
- Added RPM-GPG-KEY-adobe-linux to /etc/pki/rpm-gpg/

* Wed Jun 13 2007 Troy Dawson <dawson@fnal.gov> 309-1.SL
- Changed the 30rollings to 309
- Added http as the primary interface
- Changed the yum.cron to use the /etc/yum.conf with the extra excludes
- removed yum.cron.primary and secondary.  Not needed anymore
- removed fastbugs, as there won't be anymore
- removed yum.conf.rhaps as we won't support it anymore

* Wed Jun 13 2007 Troy Dawson <dawson@fnal.gov> 309-0.1.rolling.SL
- Moved things from 30rolling to 308

* Mon Oct 16 2006 Troy Dawson <dawson@fnal.gov> 308-1.SL
- Moved things from 30rolling to 308
- Added sl-testing and yum.conf.testing

* Tue Jun 20 2006 Troy Dawson <dawson@fnal.gov> 308-0.2.rolling.SL
- Really moved things to 30rolling, and not 308

* Thu May 18 2006 Troy Dawson <dawson@fnal.gov> 308-0.1.rolling.SL
- Moved things from 307 to 30rolling
- added yum.conf.atrpms
- removed bugfix-308 since this will be the last release

* Thu May 18 2006 Troy Dawson <dawson@fnal.gov> 307-1.SL
- Moved things form 30rolling to 307
- Made fastbugs and bugfix-308 repository entries

* Thu May 11 2006 Troy Dawson <dawson@fnal.gov> 307-0.2.rolling.SL
- fixed bug in random time function.

* Wed Aug 24 2005 Troy Dawson <dawson@fnal.gov> 307-0.1.rolling.SL
- changed spec settings to make upgrade actually change things
- changed configurations to be 30rolling, or 307 where appropriate

* Wed Aug 24 2005 Troy Dawson <dawson@fnal.gov> 305-7.SL
- changed spec settings to make upgrade 'gentle'
- added yum.conf.30x

* Fri Jul 22 2005 Troy Dawson <dawson@fnal.gov> 305-3.SL
- put exactarch=1 into the yum.cron

* Fri Jul 08 2005 Troy Dawson <dawson@fnal.gov> 305-2.SL
- Change 30rolling to 305, plus doublechecked everything
- Added the bugfix repository

* Fri May 27 2005 Troy Dawson <dawson@fnal.gov> 305-1.SL
- Changed 304 to 305, but put 30rolling as to where it points
- Added the stale yum function in the yum.cron

* Mon Jan 31 2005 Troy Dawson <dawson@fnal.gov> 304-2.SL
- added yum.conf.rhaps and yum.conf.flash

* Tue Dec 28 2004 Troy Dawson <dawson@fnal.gov> 304-1.SL
- Changed 30rolling's to 304's

* Tue Dec 28 2004 Troy Dawson <dawson@fnal.gov> 30rolling-2.SL
- Changed 303's to 304's
- Removed all references to linux21

* Thu Sep 09 2004 Troy Dawson <dawson@fnal.gov> 30rolling-1.SL
- Changed the 303 yum-conf to 30rolling

* Tue Aug 31 2004 Troy Dawson <dawson@fnal.gov> 303-1.SL
- Changed the 302 yum-conf to 303

* Mon Aug 30 2004 Troy Dawson <dawson@fnal.gov> 302-3.SL
- Removed add-on's section from the cron.daily
- Changed DEFAULTSERVER from linux21.fnal.gov to ftp.scientificlinux.org
  in the cron.daily script
- Added a commented out pointer to our local copy of DAG's repository

* Wed Jun 09 2004 Troy Dawson <dawson@fnal.gov> - 302-2.SL
- Changed main distribution server to ftp.scientificlinux.org

* Fri May 14 2004 Troy Dawson <dawson@fnal.gov> - sl301-8
- Did a rewrite of yum.cron to allow for the distribution sites to be
  in easily modified files.
- Renamed some of the scripts in /etc/yum.d
- Fixed names in yum.conf 

* Sun Apr 18 2004 Connie Sieh <csieh@fnal.gov>
- Added tolerant=1 to yum.cron for updates so as to get as many updates as
- we can 

* Wed Mar 24 2004 Troy Dawson <dawson@fnal.gov>
- Changed the excludes file to use globs on kernel and openafs

* Thu Jan 15 2004 Troy Dawson <dawson@fnal.gov>
- Fixed a minor bug with the wget stuff

* Fri Dec 5 2003 Troy Dawson <dawson@fnal.gov>
- Changed ncftpls to wget when checking the servers

* Fri Aug 15 2003 Troy Dawson <dawson@fnal.gov>
- Updated from new yum 2.0.1, which made the following changes
- init.d script, copied straight from 2.0.1
- yum.conf (and template) added tolerant=1, exactarch=1

%changelog
* Mon Apr 7 2003 Troy Dawson <dawson@fnal.gov>
- Changed the default to 901 from 731

* Fri Apr 4 2003 Troy Dawson <dawson@fnal.gov>
- First Go at the 9.0.1 config files.

* Wed Mar 26 2003 Troy Dawson <dawson@fnal.gov>
- Split the yum-conf completely away from the yum rpm and made it release
dependant.
